//
//  Note.swift
//  notes - demo project for TMA 2018
//
//  Created by Ondřej Hanák on 28. 11. 2018.
//  Copyright © 2018 Ondrej Hanak. All rights reserved.
//

import Foundation

final class Note {
	var text: String {
		didSet {
			self.modified = Date()
		}
	}
	private(set) var id: String
	private(set) var modified: Date
	var modifiedDescription: String {
		return DateFormatter.localizedString(from: self.modified, dateStyle: .short, timeStyle: .short)
	}
	
	init(text: String) {
		self.text = text
		self.id = UUID().uuidString
		self.modified = Date()
	}
}

extension Note: Equatable { }

func ==(lhs: Note, rhs: Note) -> Bool {
	return lhs.id == rhs.id
}

extension Note: Codable { }
